function mainFigsForArticle()
%
clc;
%
global idOfFig;
idOfFig = 0;
%
%
fileName = 'rose_w[n].mat';
%
load(fileName);
%
% constans declaration
Fb = 2400;
xLim = Fs/2;
atten = 50;
P = 5; % number of constelation's nominal phase position 
markerSize  = 5; 
dither = 45;
%
%============================================================
%
% rewritting of complex envelope (to ansure it's in row order)
w = w(:)';
%
%============================================================
%
% retriving zero-phase position of complex envelope w[n]
w0 = phaseCompensator(w,P);
%
%============================================================
%
myTitle1 = 'Argand diagram of complex envelope w[n]';
myTitle2 = 'Welch power spectral density of w[n]';
%
fig1(w0,Fs,myTitle1,myTitle2,atten,'b');
%
%============================================================
%
M = 3; D = 10;
testTwoRateInterpolator2(fileName,M,D);
%
%============================================================
%
M = 1.5; D = 5;
testTwoRateInterpolator2(fileName,M,D);
%
%============================================================
%
M = 2.4; D = 8;
testTwoRateInterpolator3(fileName,M,D);
%
%============================================================
%
M = 1.2; D = 4;
testTwoRateInterpolator3(fileName,M,D);
%
%============================================================
%
plotCommonWm;
%
%============================================================
%
% Fig. 14; Attention - "dopt" is taken as a result of above analysis
%
dopt = 4; M = 2.4; D = 8;
scatterPlotOfDiff(dopt,M,D);
%
dopt = 3; M = 1.5; D = 5;
scatterPlotOfDiff(dopt,M,D);
%
dopt = 3; M = 1.2; D = 4;
scatterPlotOfDiff(dopt,M,D);
%
%