function plotCommonWm()
%
global idOfFig;
%
dg = [0, 0.69, 0.31];
alpha = 0.3;
atten = 50;
xLim = 12000;
db = 1;
raw = 0;
dither = 45;
%
load('wM_M=1.2_D=4_alphaM=0.4_alphaD=0.15.mat');
wM1 = awgn(wM(:)',dither);
M1 = M; D1 = D; N1 = N;
%
load('wM_M=1.5_D=5_alphaM=0.4_alphaD=0.15.mat');
wM2 = awgn(wM(:)',dither);
M2 = M; D2 = D; N2 = N;
%
load('wM_M=2.4_D=8_alphaM=0.4_alphaD=0.15.mat');
wM3 = awgn(wM(:)',dither);
M3 = M; D3 = D; N3 = N;
%
load('wM_M=3_D=10_alphaM=0.7_alphaD=0.15.mat');
wM4 = awgn(wM(:)',dither);;
M4 = M; D4 = D; N4 = N;
%
figure()
idOfFig = idOfFig + 1;
myTitle = [{'Welch power spectra of w_M[m]';['( dither = ' num2str(dither) ' dB )']}];
%
Fs = D1*Fb
plotPSD(wM1,Fs,myTitle,'b',atten,xLim,raw,db);
hold on 
Fs = D2*Fb
plotPSD(wM2,Fs,myTitle,'k',atten,xLim,raw,db);
hold on 
Fs = D3*Fb
plotPSD(wM3,Fs,myTitle,dg,atten,xLim,raw,db);
hold on 
Fs = D4*Fb
plotPSD(wM4,Fs,myTitle,'r',atten,xLim,raw,db);
hold off
%
title(myTitle);
%
xlabel('F [kHz]');
os_x= 1200 * [-10,-8,-5,-4,-1,0,1,4,5,8,10] ;
set(gca,'xtick',os_x,'xgrid','on');
%labs = {'-12000','-9600','-6000','-4800','-1200','0',...
    %'1200','4800','6000','9600','12000'};
labs = {'-1.2','-0.96','-0.6','-0.48','-0.12','0',...
    '0.12','0.48','0.6','0.96','1.2'};
set(gca,'xticklabel',labs);
%{
xticklabel_rotate([],45,labs);
%}
%set(gca,'xticklabel',labs);
%th = rotateticklabel(gca,45);
xlim([-xLim xLim]);
ylabel('[dBc]');
ylim([-atten 0])
grid on
%
set(gca,'fontsize',8);
%{
legend(['M = ' num2str(M1) '; D = ' num2str(D1) ';   \alpha = ' num2str(alpha)],...
   ['M = ' num2str(M2) '; D = ' num2str(D2) ';   \alpha = ' num2str(alpha)],...
   ['M = ' num2str(M3) '; D = ' num2str(D3) ';   \alpha = ' num2str(alpha)],...
   ['M = ' num2str(M4) ';    D = ' num2str(D4) '; \alpha = ' num2str(alpha)],3);
%}
legend(['M = ' num2str(M1) '; D = ' num2str(D1)],...
   ['M = ' num2str(M2) '; D = ' num2str(D2)],...
   ['M = ' num2str(M3) '; D = ' num2str(D3)],...
   ['M = ' num2str(M4) ';    D = ' num2str(D4)],0);
%
set(gcf, 'color', 'white')
%
savePlotAs('png',['common_wM[m]_spectrum_alpha=' num2str(alpha)],idOfFig);
%