function plotSubFigsOfComplexEnvelope(w1,w2,myTitle1,myTitle2,...
                                   xLim,L,xLimA,yLimA,markerSize,mode,cnt)
%
global idOfFig;
global dg;
global chars;
%
% nominal phase position
phiP = linspace(0, 2*pi);
c = exp(j*phiP);
%
figure();
idOfFig = idOfFig + 1;
%
h = axes('Position',[0 0 1 1],'Visible','off');
h1 = axes('Position',[.07 .1 .4 .8]);
h2 = axes('Position',[.57 .1 .4 .8]);
%
set(gcf,'CurrentAxes',h1);
plotScatter_short2(w1, c, 'b', xLim, L, ...
        'real w[n]','imag w[n]',...
        xLimA,yLimA,myTitle1,markerSize,mode);
%
set(gcf,'CurrentAxes',h2);
plotScatter_short2(w2, c, 'b', xLim, L, ...
        'real w[n]','imag w[n]',...
        xLimA,yLimA,myTitle2,markerSize,mode)
%
set(gcf,'CurrentAxes',h);
text(0.01,.85,chars{2*cnt-1},'FontSize',12);
text(0.51,.85,chars{2*cnt},'FontSize',12);
set(gcf, 'color', 'white');
savePlotAs('png','cHatM[n]_cHatD[n]',idOfFig);
%
%