function testTwoRateInterpolator2(fileName,M,D)
%
global idOfFig;
global dg;
global chars;
%
chars = {'a)','b)','c)','d)','e)','f)','g)','h)','i)','j)','k)',...
    'l)','m)','n)','o)','p)','q)','r)','s)','t)','u)','v)','x)','y)','z)'};
%
% constans declaration
%
if M == 3,
    alphaM = 0.7;
    alphaD = 0.15;
else
    alphaM = 0.4;
    alphaD = 0.15;
end;
%
Fs = 8000;
Fc = 1800;
Fb = 2400;
L = Fs/Fb;
rL = round(L);
xLim = 10*Fb/2;
lambda = 8;
K = 5;
%
xLimA = [-2.0,2.0]; 
yLimA = xLimA;
markerSize  = 5;
dg = [0, 0.69, 0.31];
atten = 50;
dither = 45;
%
%load('rose_w[n].mat');
load(fileName);
%
%============================================================
%
nfft=2048;
win = window(@blackmanharris,nfft);
%
[Pxx,f] = pwelch(w,win,nfft/2,nfft,Fs);
Pxx = fftshift(Pxx)/max(abs(Pxx));
N = length(Pxx);
if rem(N,2) == 1,
    fn=(-(N-1)/2:1:(N-1)/2)/N;
else
    fn=(-N/2:1:N/2-1)/N;
end
%
%============================================================
%
w = w(1,3:end);
w = phaseCompensator(w,K);
%
[wM,wMf,hM,N] = twoRateInterpolator(w,M,D,alphaM,lambda,0);
[wD,wDf,hD,N] = twoRateInterpolator(w,M,D,alphaD,lambda,1);
%
%
save(['wM_M=' num2str(M) '_D=' num2str(D) ...
    '_alphaM=' num2str(alphaM)...
    '_alphaD=' num2str(alphaD)...
    '.mat'],'wM','Fs','Fb','M','D','N')
%
%wM = awgn(wM,dither);
%
% =======================================================================
chM = fftshift(fft(hM,nfft));
chM = abs(chM);
chM = chM / max(chM);
%
chD = fftshift(fft(hD,nfft));
chD = abs(chD);
chD = chD / max(chD);
%
figure()
idOfFig = idOfFig + 1;
%
Fs1 = D*Fb;
myTitle = [{'Spectrum of w_M[n] and amplitude responses of H_{\alpha/M} and H_{\alpha/D}';...
    ['M = ' num2str(M) '; D = ' num2str(D) '; N = ' num2str(N)]}];
%
plotPSD(wM,Fs1,myTitle,'b',atten,12000,0,1);
hold on
plot(fn*Fs1,20*log10(abs(chM)),'color',dg,'LineWidth',1);
hold on 
plot(fn*Fs1,20*log10(abs(chD)),'color','r','LineWidth',1);
hold off
%
title(myTitle);
legend('Welch power spectrum of w_M[n]',...
        ['|H_{\alpha/M}(F)|; \alpha = ' num2str(alphaM)],...
        ['|H_{\alpha/D}(F)|; \alpha = ' num2str(alphaD)],4);
%legend('w_M[n]','|H_{\alpha/M}|',1);
%
xlabel('F [kHz]');
os_x= 1200 * [-10,-8,-5,-4,-1,0,1,4,5,8,10] ;
set(gca,'xtick',os_x,'xgrid','on');
labs = {'-1.2','-0.96','-0.6','-0.48','-0.12','0',...
    '0.12','0.48','0.6','0.96','1.2'};
set(gca,'xticklabel',labs);
%
xlim([-xLim xLim]);
ylim([-atten 0]);
grid on;
%
savePlotAs('png',['wM[n]_spectrum_alphaM=' num2str(alphaM) '_alphaD=' ...
    num2str(alphaD)],idOfFig);
%
% =======================================================================
%
wM = wMf;
wD = wDf;
%
% =======================================================================
%
coeffMarr = [];
sigmaMarr = [];
coeffDarr = [];
sigmaDarr = [];
%
% nominal phase position
phiP = linspace(0, 2*pi);
c = exp(j*phiP);
%
for d = 0:1:(D - 1),
    %
    wMd =[zeros(1,d) wM(1,N+1:end-N-d)];
    cHatM = wMd(1,1:D:length(wMd));
    cHatM = phaseCompensator(cHatM,K);
    [cnHatM,cn0HatM,cAvgM,sigmaM,coeffM] = cNorm(cHatM);
    %
    wDd =[zeros(1,d) wD(1,N+1:end-N-d)];
    cHatD = wDd(1,1:D:length(wDd));
    cHatD = phaseCompensator(cHatD,K);
    [cnHatD,cn0HatD,cAvgD,sigmaD,coeffD] = cNorm(cHatD);
    %
    coeffMarr = horzcat(coeffMarr, coeffM);
    sigmaMarr = horzcat(sigmaMarr, sigmaM);
    coeffDarr = horzcat(coeffDarr, coeffD);
    sigmaDarr = horzcat(sigmaDarr, sigmaD);
    %
    figure()
    idOfFig = idOfFig + 1;
    %
    subplot(1,2,1)
    myTitle1 = {'Scatter-plot of received symbols';...
        ['H_{\alpha/M}; d = ' num2str(d) '; \alpha = ' num2str(alphaM)...
            '; M = ' num2str(M) '; \sigma = ' num2str(sigmaM)]};
    plotScatter_short2(cnHatM, c, 'b', xLim, L, ...
        'real','imag',...
        xLimA,yLimA,myTitle1,markerSize,1);
    %
    set(gcf, 'color', 'white');
    savePlotAs('png','cHatM[n]_cHatD[n]',idOfFig);
    %
    figure()
    idOfFig = idOfFig + 1;
    subplot(1,2,1)
    myTitle2 = {'Scatter-plot of received symbols';...
        ['H_{\alpha/D}; d = ' num2str(d) '; \alpha = ' num2str(alphaD)...
            '; D = ' num2str(D) '; \sigma = ' num2str(sigmaD)]};
    plotScatter_short2(cnHatD, c, 'b', xLim, L, ...
        'real','imag',...
        xLimA,yLimA,myTitle2,markerSize,1);
    %
    set(gcf, 'color', 'white');
    savePlotAs('png','cHatM[n]_cHatD[n]',idOfFig);
    %
    save(['cnHatM_M=' num2str(M) '_D=' num2str(D)...
        '_d=' num2str(d) '.mat'],'cnHatM','M','D','d','sigmaM');
    save(['cnHatD_M=' num2str(M) '_D=' num2str(D)...
        '_d=' num2str(d) '.mat'],'cnHatD','M','D','d','sigmaD');
    %
end
%
sigmaMarr;
ind1 = find(sigmaMarr == min(sigmaMarr));
wMf = wMf * (1/coeffMarr(ind1));
%
sigmaDarr;
ind2 = find(sigmaDarr == min(sigmaDarr));
wDf = wDf * (1/coeffDarr(ind2));
%
cnt = 1;
myTitle1 = {'Argand diagram cHat_{M}';...
        ['H_{\alpha/M}; \alpha = ' num2str(alphaM) '; M = ' num2str(M) '; D = ' num2str(D)]};
myTitle2 = {'Argand diagram cHat_{D}';...
        ['H_{\alpha/D}; \alpha = ' num2str(alphaD) '; M = ' num2str(M) '; D = ' num2str(D)]};
plotSubFigsOfComplexEnvelope(wMf(1,1:4000),wDf(1,1:4000),myTitle1,myTitle2,...
                                 xLim,L,xLimA,yLimA,markerSize,0,cnt);
%
%